Quadrangles

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions
Quadrangles
Eina » Data Types

Quadrangles operations. More...

## Data Structures
struct | _Eina_Quad
| Quadrangle definition. More...

## Typedefs
typedef struct _Eina_Quad | Eina_Quad
| Quadrangle definition.

## Functions
EINA_API void | eina_quad_rectangle_to (const Eina_Quad *q, Eina_Rectangle *r)
| Transform the given quadrangle to the given rectangle.
EINA_API void | eina_quad_rectangle_from (Eina_Quad *q, const Eina_Rectangle *r)
| Transform the given rectangle to the given quadrangle.
EINA_API void | eina_quad_coords_set (Eina_Quad *q, double x0, double y0, double x1, double y1, double x2, double y2, double x3, double y3)
| Sets the values of the coordinates of the given quadrangle.
EINA_API void | eina_quad_coords_get (const Eina_Quad *q, double *x0, double *y0, double *x1, double *y1, double *x2, double *y2, double *x3, double *y3)
| Gets the values of the coordinates of the given quadrangle.

## Detailed Description

Quadrangles operations.

## Function Documentation

## ◆ eina_quad_rectangle_to()

EINA_API void eina_quad_rectangle_to | ( | const Eina_Quad * | q,
|  | Eina_Rectangle * | r
| ) |  |

Transform the given quadrangle to the given rectangle.

Parameters

  [in] | q | The quadrangle to get coordinates.
  [out] | r | The rectangle.

Since
  1.14

## ◆ eina_quad_rectangle_from()

EINA_API void eina_quad_rectangle_from | ( | Eina_Quad * | q,
|  | const Eina_Rectangle * | r
| ) |  |

Transform the given rectangle to the given quadrangle.

Parameters

  [in] | q | The quadrangle.
  [out] | r | The rectangle to get coordinates.

Since
  1.14

## ◆ eina_quad_coords_set()

EINA_API void eina_quad_coords_set | ( | Eina_Quad * | q,
|  | double | x0,
|  | double | y0,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x3,
|  | double | y3
| ) |  |

Sets the values of the coordinates of the given quadrangle.

Parameters

  [out] | q | The quadrangle to set coordinates.
  [in] | x0 | Top left x coordinate.
  [in] | y0 | Top left y coordinate.
  [in] | x1 | Top right x coordinate.
  [in] | y1 | Top right y coordinate.
  [in] | x2 | Bottom right x coordinate.
  [in] | y2 | Bottom right y coordinate.
  [in] | x3 | Bottom left x coordinate.
  [in] | y3 | Bottom left y coordinate.

Since
  1.14

## ◆ eina_quad_coords_get()

EINA_API void eina_quad_coords_get | ( | const Eina_Quad * | q,
|  | double * | x0,
|  | double * | y0,
|  | double * | x1,
|  | double * | y1,
|  | double * | x2,
|  | double * | y2,
|  | double * | x3,
|  | double * | y3
| ) |  |

Gets the values of the coordinates of the given quadrangle.

Parameters

  [in] | q | The quadrangle to get coordinates.
  [out] | x0 | Top left x coordinate.
  [out] | y0 | Top left y coordinate.
  [out] | x1 | Top right x coordinate.
  [out] | y1 | Top right y coordinate.
  [out] | x2 | Bottom right x coordinate.
  [out] | y2 | Bottom right y coordinate.
  [out] | x3 | Bottom left x coordinate.
  [out] | y3 | Bottom left y coordinate.

Since
  1.14

References _Eina_Quad::x0, _Eina_Quad::x1, _Eina_Quad::x2, _Eina_Quad::x3, _Eina_Quad::y0, _Eina_Quad::y1, _Eina_Quad::y2, and _Eina_Quad::y3.